Bug 1519834 - Review Request: bout++ - Computational fluid simulation library for curvi-linear geometries
Summary: Review Request: bout++ - Computational fluid simulation library for curvi-lin...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:24 UTC by david08741
Modified: 2019-12-08 01:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description david08741 2017-12-01 14:24:39 UTC
Spec URL: https://github.com/dschwoerer/bout-spec/raw/master/bout%2B%2B.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/00683036-bout++/bout++-4.1.2-1.fc28.src.rpm
Description:

BOUT++ is a framework for writing fluid and plasma simulations in curvilinear geometry. It is intended to be quite modular, with a variety of numerical methods and time-integration solvers available. BOUT++ is primarily designed and tested with reduced plasma fluid models in mind, but it can evolve any number of equations, with equations appearing in a readable form.

Fedora Account System Username: davidsch

Comment 1 Artur Iwicki 2017-12-03 23:01:28 UTC
>Group: Applications/Engineering
>Group: Development/Libraries
The "Group:" tag should not be used.
https://fedoraproject.org/wiki/Packaging:Guidelines#Tags_and_Sections

>License: LGPLv3
The README in the GitHub repo says it's LGPL v3 or later, so this should be "LGPLv3+".

>Source0: https://github.com/boutproject/BOUT-dev/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
I think you can use this prettier URL: 
https://github.com/boutproject/BOUT-dev/archive/v%{version}/%{name}-%{version}.tar.gz

>%global debug_package %{nil}
The packaging guidelines require adding a comment to justify why debuginfo is disabled.
https://fedoraproject.org/wiki/Packaging:Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons

Comment 2 david08741 2017-12-04 16:35:10 UTC
Thanks for the Feedback.

The debug_package is disabled, as BOUT++ currently only builds a static .a archive.

About the rpmlint warnings:
rpmlint bout++.spec  noarch/* x86_64/*
bout++.spec:149: W: setup-not-quiet
bout++-common.noarch: W: spelling-error %description -l en_US curvilinear -> rectilinear
python2-bout++.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python2-bout++.noarch: W: no-documentation
python3-bout++.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python3-bout++.noarch: W: no-documentation
bout++-mpich-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-mpich-devel.x86_64: W: no-documentation
bout++-openmpi-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-openmpi-devel.x86_64: W: no-documentation
5 packages and 1 specfiles checked; 0 errors, 10 warnings.
The no-documentation warning is not justified, as the packages require bout++-common, which includes the documentation.
The spelling errors are no errors (curvilinear is just not that comment then rectilinear).

I am not sure about the setup-not-quiet warning. Should it be fixed. If so, how?

Updated Spec: https://github.com/dschwoerer/bout-spec/raw/master/bout%2B%2B.spec
Updated SRPM: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/00684181-bout++/bout++-4.1.2-1.fc28.src.rpm

Comment 3 david08741 2018-12-05 09:08:48 UTC
I fixed the setup-not-quite warning.

By now BOUT++ has also a python interface, which is packaged for python3.

A debug package is built, as support for shared objects was added.

The new rpmlint warnings are:
$ rpmlint bout++.spec noarch/* x86_64/*
bout++.spec:88: W: unversioned-explicit-provides bundled(libpvode)
bout++.spec:139: W: unversioned-explicit-provides bundled(libpvode)
bout++-common.noarch: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-doc.noarch: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 5043: normal or special character expected (got a space)
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 5097: warning: numeric expression expected (got `o')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 5194: warning: numeric expression expected (got `r')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 5200: warning: numeric expression expected (got `r')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 5261: warning: numeric expression expected (got `r')
[...]
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 35289: warning: numeric expression expected (got `\e')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 46583: `m' is an invalid argument to \O
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 59851: warning: numeric expression expected (got `g')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 59852: warning: numeric expression expected (got `g')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 59857: warning: numeric expression expected (got `g')
bout++-doc.noarch: W: manual-page-warning /usr/share/man/man1/bout++.1.gz 59857: warning: numeric expression expected (got `g')
python3-bout++.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python3-bout++.noarch: W: no-documentation
bout++-mpich.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-mpich.x86_64: W: no-documentation
bout++-mpich-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
bout++-mpich-devel.x86_64: W: no-documentation
bout++-openmpi.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-openmpi.x86_64: W: no-documentation
bout++-openmpi-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
bout++-openmpi-devel.x86_64: W: no-documentation
python3-bout++-mpich.x86_64: W: no-documentation
python3-bout++-openmpi.x86_64: W: spelling-error Summary(en_US) mpich -> chimp
python3-bout++-openmpi.x86_64: W: no-documentation
15 packages and 1 specfiles checked; 0 errors, 186 warnings.

I am uncertain about the man page warnings - I don't think it is worth fixing them, as the man page is generated by sphinx. Is it better to not shop the man page, or ship a potentially broken one?
More troublesome to me seems the fact that I cannot find and open the man page after installing the rpm with dnf. If I download with dnf, and install with rpm, the man page is available. Any ideas why that might be happening?

BOUT++ comes with libpvode - I would like to ship the bundled upstream version to give the same results as the upstream code. From [1] it seems ok to bundle. BOUT++ can be build with more recent versions, but they are not packaged.

The only-non-binary-in-usr-lib is due to mpi - the specific header files are located in the mpi folders.

The rawhide build fails on copr, but is fine with koji scratch builds. I was also unable to reproduce this issue locally with mock or a container. Not sure why there are illegal instructions.

Updated Spec: https://github.com/dschwoerer/bout-spec/raw/master/bout%2B%2B.spec
New Builds: https://copr.fedorainfracloud.org/coprs/davidsch/bout/build/833821/

[1] https://fedoraproject.org/wiki/Bundled_Libraries

Comment 5 Robert-André Mauchin 2019-07-30 19:42:06 UTC
There are new macros you should use: https://src.fedoraproject.org/rpms/mpich/blob/master/f/mpich.macros 
https://src.fedoraproject.org/rpms/openmpi/blob/master/f/macros.openmpi

 - Use %_mpich_load / %_mpich_unload / %_openmpi_load / %_openmpi_load

 - Use %bcond_with / %bcond_without for all the conditional

 - This is not really elegant, anyhow remove the shebangs alltogether, in %prep if possible

# Fix python interpreter for libraries
for f in $(find -L ${RPM_BUILD_ROOT}/%{python3_sitelib} -executable -type f)
do
    sed -i 's|#!/usr/bin/env python|#!/usr/bin/python3|' $f
    sed -i 's|#!/usr/bin/env python3|#!/usr/bin/python3|' $f
    sed -i 's|#!/usr/bin/python|#!/usr/bin/python3|' $f
    # remove introduced but excessive 3's
    sed -i 's|#!/usr/bin/python333|#!/usr/bin/python3|' $f
    sed -i 's|#!/usr/bin/python33|#!/usr/bin/python3|' $f
done

 - Take into account RHEL8/EPEL8 for your conditions, as in if epel and epel < 8

 - Also but more linebreaks between sections, the SPEC is difficult to read

 - I'm not sure what you're trying to do here, but that's not how to include a Patch:

  echo "diff -Naur a/make.config b/make.config
--- a/make.config       2017-05-02 23:03:57.298625399 +0100
+++ b/make.config       2017-05-02 23:04:26.460489477 +0100
@@ -23,6 +23,7 @@
 SLEPC_DIR ?= 
 SLEPC_ARCH ?= 
 
+RELEASED                 = %{version}-%{release}
 
 # These lines can be replaced in \"make install\" to point to install directories
 # They are used in the CXXFLAGS variable below rather than hard-coding the directories
" | patch --no-backup-if-mismatch -p1 --fuzz=0 ${RPM_BUILD_ROOT}/%{_includedir}/${mpi}-%{_arch}/bout++/make.config

Use sed in %prep on make.config.in to add your line


 - Why is this in check:

for f in $(find -L ${RPM_BUILD_ROOT}/%{python3_sitelib}/ -type f|grep '\.pyc\$|\.pyo\$')
do
    echo cleaning $f
    rm $f
done

 - Don't be so specific in %files:

%dir %{_includedir}/mpich-%{_arch}/bout++
%dir %{_includedir}/mpich-%{_arch}/bout++/bout
%dir %{_includedir}/mpich-%{_arch}/bout++/bout/invert
%dir %{_includedir}/mpich-%{_arch}/bout++/bout/sys
%{_includedir}/mpich-%{_arch}/bout++/*.hxx
%{_includedir}/mpich-%{_arch}/bout++/make.config
%{_includedir}/mpich-%{_arch}/bout++/bout/*.hxx
%{_includedir}/mpich-%{_arch}/bout++/bout/invert/*.hxx
%{_includedir}/mpich-%{_arch}/bout++/bout/sys/*.hxx
%{_includedir}/mpich-%{_arch}/bout++/pvode/*.h

Just use:

%{_includedir}/mpich-%{_arch}/bout++

and:

%{_includedir}/openmpi-%{_arch}/bout++

Also remove the * here:

%{python3_sitearch}/mpich/

%{python3_sitearch}/openmpi/

 - Not needed for private libs:

%post mpich -p /sbin/ldconfig
%postun mpich -p /sbin/ldconfig

 - It is verboten to glob the whole %{python3_sitelib}/

Be more specific here:

%dir %{python3_sitelib}/*
%{python3_sitelib}/*/*

 - Man pages are not part of %doc:

%doc %{_mandir}/man1/bout++*

Man pages should be in the same package as the binary they describe

 - I'm not really fond of making a package just for licenses and doc file:

%files common
%doc README.md
%doc CITATION.bib
%doc CITATION.cff
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%license LICENSE
%license LICENSE.GPL

Put them in python%{python3_pkgversion}-%{name} %{name}-openmpi %{name}-mpich

Comment 6 david08741 2019-08-24 17:40:26 UTC
Thanks for the review.

I think I have addressed all the comments:

I tried to take EPEL8 into account, however some dependencies are missing, such as netcdf. I will have a more detailed look once CentOS 8 is released, because I don't have any access to rhel 8 outside of copr.
As long as I don't build for EPEL8, this shouldn't be an issue for the review for fedora?

The man page was only a single page, describing the whole library, as such I disabled that for now, there is html documentation, which is probably easier to read and navigate.
I will ask upstream whether we can add man pages for the executables.

The updated URLs:

Spec URL: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/01015792-bout++/bout++.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/01015792-bout++/bout++-4.2.2-0.fc32.src.rpm

Comment 7 Robert-André Mauchin 2019-08-24 20:10:41 UTC
 -Just remove the * here otherwise you don't own the dir:

%{python3_sitearch}/openmpi/

%{python3_sitearch}/mpich/

 - You forgot to removed the Requires: %{name}-common

 - You added tabs in your last SPEC, please remove them:

bout++.src:390: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 390)

 - Remove this shebang in %prep:

python3-bout++.noarch: E: wrong-script-interpreter /usr/lib/python3.8/site-packages/boutdata/squashoutput.py /usr/bin/env python3
python3-bout++.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/boutdata/squashoutput.py 644 /usr/bin/env python3



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU Lesser General Public License (v3
     or later)", "Expat License", "GPL (v2 or later)", "FSF All Permissive
     License", "GPL (v3 or later)", "*No copyright* GPL (v3 or later)",
     "BSD 3-clause "New" or "Revised" License", "*No copyright* Apache
     License", "*No copyright* GNU Lesser General Public License (v3 or
     later)", "Apache License (v2.0)", "BSD 2-clause "Simplified" License",
     "*No copyright* Apache License (v2.0)". 2008 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/bout++/review-bout++/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 491520 bytes in 15 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     bout++-mpich , bout++-mpich-devel , python3-bout++-mpich ,
     bout++-openmpi , bout++-openmpi-devel , python3-bout++-openmpi ,
     python3-bout++
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: bout++-mpich-4.2.2-0.fc32.x86_64.rpm
          bout++-mpich-devel-4.2.2-0.fc32.x86_64.rpm
          python3-bout++-mpich-4.2.2-0.fc32.x86_64.rpm
          bout++-openmpi-4.2.2-0.fc32.x86_64.rpm
          bout++-openmpi-devel-4.2.2-0.fc32.x86_64.rpm
          python3-bout++-openmpi-4.2.2-0.fc32.x86_64.rpm
          python3-bout++-4.2.2-0.fc32.noarch.rpm
          bout++-doc-4.2.2-0.fc32.noarch.rpm
          bout++-debuginfo-4.2.2-0.fc32.x86_64.rpm
          bout++-debugsource-4.2.2-0.fc32.x86_64.rpm
          bout++-4.2.2-0.fc32.src.rpm
bout++-mpich.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-mpich-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-mpich-devel.x86_64: W: only-non-binary-in-usr-lib
bout++-mpich-devel.x86_64: W: no-documentation
python3-bout++-mpich.x86_64: W: no-documentation
bout++-openmpi.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-openmpi-devel.x86_64: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
bout++-openmpi-devel.x86_64: W: no-documentation
python3-bout++-openmpi.x86_64: W: no-documentation
python3-bout++.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python3-bout++.noarch: E: wrong-script-interpreter /usr/lib/python3.8/site-packages/boutdata/squashoutput.py /usr/bin/env python3
python3-bout++.noarch: E: non-executable-script /usr/lib/python3.8/site-packages/boutdata/squashoutput.py 644 /usr/bin/env python3
bout++-doc.noarch: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++.src: W: spelling-error %description -l en_US curvilinear -> rectilinear
bout++.src:110: W: unversioned-explicit-provides bundled(libpvode)
bout++.src:162: W: unversioned-explicit-provides bundled(libpvode)
bout++.src:390: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 390)
11 packages and 0 specfiles checked; 2 errors, 16 warnings.

Comment 8 david08741 2019-08-27 08:53:00 UTC
I don't think I should own these directories, as they are owned by openmpi and mpich:

$ dnf provides $(rpm -E '%{python3_sitearch}/mpich/')
python3-mpich-3.2.1-8.fc29.x86_64 : mpich support for Python 3

$ dnf provides $(rpm -E '%{python3_sitearch}/openmpi/')
python3-openmpi-2.1.1-14.fc29.x86_64 : OpenMPI support for Python 3



removing shebangs is fixed and moved to prep.

tabs removed

%{name}-common removed

SPEC Url: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/01021363-bout++/bout++.spec
SRPM Url: https://copr-be.cloud.fedoraproject.org/results/davidsch/bout/fedora-rawhide-x86_64/01021363-bout++/bout++-4.2.2-1.fc32.src.rpm

Comment 9 Robert-André Mauchin 2019-08-27 13:52:16 UTC
Ok, package approved.

You still need to find a sponsor: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 10 Robert-André Mauchin 2019-11-19 15:56:03 UTC
Sponsored + refreshing flag

Comment 11 Igor Gnatenko 2019-11-26 13:32:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bout++

Comment 12 Fedora Update System 2019-12-07 17:41:41 UTC
FEDORA-2019-b829150b85 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b829150b85

Comment 13 Fedora Update System 2019-12-07 19:06:24 UTC
FEDORA-2019-62e1add466 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-62e1add466

Comment 14 Fedora Update System 2019-12-08 01:42:55 UTC
bout++-4.3.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-62e1add466

Comment 15 Fedora Update System 2019-12-08 01:46:47 UTC
bout++-4.3.0-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b829150b85


Note You need to log in before you can comment on or make changes to this bug.